BST BUILD(1)

NAME
bst-build - Build elements in a pipeline

SYNOPSIS
bst build [OPTIONS] [ELEMENTS]...

DESCRIPTION
Build elements in a pipeline

    Specifying no elements will result in building the default targets
    of the project. If no default targets are configured, all project
    elements will be built.

    When this command is executed from a workspace directory, the default
    is to build the workspace element.

    Specify `--deps` to control which dependencies must be built:

        none: No dependencies, just the element itself
        build: Build time dependencies, excluding the element itself
        all: All dependencies

    Dependencies that are consequently required to build the requested
    elements will be built on demand.

OPTIONS

-d, --deps [none|build|all]
    The dependencies to build

--artifact-remote REMOTE
    A remote for uploading and downloading artifacts

--source-remote REMOTE
    A remote for uploading and downloading cached sources

--ignore-project-artifact-remotes
    Ignore remote artifact cache servers recommended by projects

--ignore-project-source-remotes
    Ignore remote source cache servers recommended by projects

-r, --retry-failed
    Try to build elements for which a failed build artifact is found